Package Details: perl-cache-cache 1.08-1

Git Clone URL: https://aur.archlinux.org/perl-cache-cache.git (read-only)
Package Base: perl-cache-cache
Description: Generic cache interface and implementations
Upstream URL: http://search.cpan.org/~JSWARTZ/Cache-Cache
Licenses: GPL, PerlArtistic
Submitter: None
Maintainer: zeppelinlg
Last Packager: zeppelinlg
Votes: 18
Popularity: 0.009005
First Submitted: 2009-08-15 04:53
Last Updated: 2016-06-15 13:34

Latest Comments

mgrimes commented on 2017-03-02 17:38

The PKGBUILD should remove some environment variables use by the perl toolchain to install packages in non-standard places (ie, local::lib). This is documented in Archlinux's Perl package guildlines (https://wiki.archlinux.org/index.php/Perl_package_guidelines). Here is a patch for PKGBUILD:

diff --git a/PKGBUILD b/PKGBUILD
index e9cac04..1f2a1db 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,13 +13,20 @@ options=('!emptydirs')
source=(http://www.cpan.org/authors/id/R/RJ/RJBS/${_cpanname}-${pkgver}.tar.gz)
md5sums=('c18bfc823055d1df5255ae834e161749')
build() {
+ clean_env
cd $srcdir/${_cpanname}-${pkgver}
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ /usr/bin/perl Makefile.PL || return 1
make || return 1
}
package() {
+ clean_env
cd $srcdir/${_cpanname}-${pkgver}
- make install DESTDIR=$pkgdir || return 1
+ make install INSTALLDIRS=vendor DESTDIR=$pkgdir || return 1
find $pkgdir -name '.packlist' -delete
find $pkgdir -name '*.pod' -delete
}
+# Setup environment to ensure installation in system perl and vender directory
+clean_env() {
+ unset PERL5LIB PERL_MM_OPT PERL_MB_OPT PERL_LOCAL_LIB_ROOT
+ export PERL_MM_USE_DEFAULT=1 MODULEBUILDRC=/dev/null PERL_AUTOINSTALL=--skipdeps
+}

zeppelinlg commented on 2014-02-24 19:10

@Synthead perl-ipc-sharelite is in th dependency now

Synthead commented on 2012-02-24 01:22

Oh, and please add 'perl-ipc-sharelite' as a dependency.

Synthead commented on 2012-02-24 01:14

$source is out of date; please use http://search.cpan.org/CPAN/authors/id/J/JS/JSWARTZ/Cache-Cache-1.06.tar.gz

dracorp commented on 2012-01-08 22:03

Can you complete the 'provides'?